View8211 (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.iso8211
Class View8211

    java.lang.Object
      com.bbn.openmap.dataAccess.iso8211.View8211

    public class View8211

extends java.lang.Object

Class that uses the DDF* classes to read an 8211 file and print out the contents.

Field Summary
`protected boolean` | `bFSPTHack`
`protected java.lang.String` | `pszFilename`

Constructor Summary
`View8211(java.lang.String filename, boolean fspt_repeating)`

Method Summary
`static void` | `main(java.lang.String[] argv)`
`protected void` | `view()`
`protected void` | `viewRecordField(DDFField poField)` Dump the contents of a field instance in a record.
`protected int` | `viewSubfield(DDFSubfieldDefinition poSFDefn, byte[] pachFieldData, int nBytesRemaining)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bFSPTHack

    protected boolean bFSPTHack

### pszFilename

    protected java.lang.String pszFilename

Constructor Detail

### View8211

    public View8211(java.lang.String filename,
                    boolean fspt_repeating)

Method Detail

### view

    protected void view()

### viewRecordField

    protected void viewRecordField(DDFField poField)

  Dump the contents of a field instance in a record.

### viewSubfield

    protected int viewSubfield(DDFSubfieldDefinition poSFDefn,
                               byte[] pachFieldData,
                               int nBytesRemaining)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details